Xalan-Java: Class XNumber

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xpath
Class XNumber

    java.lang.Object
      |
      +--org.apache.xalan.xpath.XObject
            |
            +--org.apache.xalan.xpath.XNumber

public class XNumber
extends XObject

This class represents an XPath number, and is capable of converting the number to other types, such as a string.

See Also:
  Serialized Form

Fields inherited from class org.apache.xalan.xpath.XObject
`CLASS_BOOLEAN, CLASS_NODESET, CLASS_NULL, CLASS_NUMBER, CLASS_RTREEFRAG, CLASS_STRING, CLASS_UNKNOWN`

Constructor Summary
`XNumber(double d)` Construct a XNodeSet object.

Method Summary
`boolean` | `bool()` Cast result object to a boolean.
`boolean` | `equals(XObject obj2)` Tell if two objects are functionally equal.
`int` | `getType()` Tell that this is a CLASS_NUMBER.
`double` | `num()` Cast result object to a number.
`java.lang.Object` | `object()` Return a java object that's closes to the represenation that should be handed to an extension.
`java.lang.String` | `str()` Cast result object to a string.

Methods inherited from class org.apache.xalan.xpath.XObject
`castToType, greaterThan, greaterThanOrEqual, lessThan, lessThanOrEqual, mutableNodeset, nodeset, notEquals, rtree, rtree, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XNumber

    public XNumber(double d)

  Construct a XNodeSet object.

Method Detail

### getType

    public int getType()

  Tell that this is a CLASS_NUMBER.
  Overrides:
    getType in class XObject

### num

    public double num()

  Cast result object to a number.
  Overrides:
    num in class XObject

### bool

    public boolean bool()

  Cast result object to a boolean.
  Overrides:
    bool in class XObject

### str

    public java.lang.String str()

  Cast result object to a string.
  Overrides:
    str in class XObject

### object

    public java.lang.Object object()

  Return a java object that's closes to the represenation that should be handed to an extension.
  Overrides:
    object in class XObject

### equals

    public boolean equals(XObject obj2)
                   throws org.xml.sax.SAXException

  Tell if two objects are functionally equal.
  Overrides:
    equals in class XObject

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.